/*
 * Copyright (c) 2018-2019, Arm Limited. All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 *
 */

/*********** WARNING: This is an auto-generated file. Do not edit! ***********/

#include "tfm_partition_defs.inc"

#ifndef __TFM_PARTITION_LIST_INC__
#define __TFM_PARTITION_LIST_INC__

/******** TFM_SP_STORAGE ********/
#define TFM_PARTITION_TFM_SP_STORAGE_IRQ_COUNT 0
PARTITION_DECLARE(TFM_SP_STORAGE,
    SPM_PART_FLAG_IPC,
    "PSA-ROT",
    TFM_SP_STORAGE_ID,
    NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_STORAGE, tfm_sst_req_mngr_init);

#ifdef TFM_PARTITION_AUDIT_LOG
/******** TFM_SP_AUDIT_LOG ********/
#define TFM_PARTITION_TFM_SP_AUDIT_LOG_IRQ_COUNT 0
PARTITION_DECLARE(TFM_SP_AUDIT_LOG,
    0,
    "PSA-ROT",
    TFM_SP_AUDIT_LOG_ID,
    NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_AUDIT_LOG, audit_core_init);
#ifdef AUDIT_UART_REDIRECTION
PARTITION_ADD_PERIPHERAL(TFM_SP_AUDIT_LOG, TFM_PERIPHERAL_UART1);
#endif /* AUDIT_UART_REDIRECTION */
#endif /* TFM_PARTITION_AUDIT_LOG */

/******** TFM_SP_CRYPTO ********/
#define TFM_PARTITION_TFM_SP_CRYPTO_IRQ_COUNT 0
PARTITION_DECLARE(TFM_SP_CRYPTO,
    SPM_PART_FLAG_IPC,
    "PSA-ROT",
    TFM_SP_CRYPTO_ID,
    NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_CRYPTO, tfm_crypto_init);

#ifdef TFM_PARTITION_PLATFORM
/******** TFM_SP_PLATFORM ********/
#define TFM_PARTITION_TFM_SP_PLATFORM_IRQ_COUNT 0
PARTITION_DECLARE(TFM_SP_PLATFORM,
    0,
    "PSA-ROT",
    TFM_SP_PLATFORM_ID,
    NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_PLATFORM, platform_sp_init);
#endif /* TFM_PARTITION_PLATFORM */

/******** TFM_SP_INITIAL_ATTESTATION ********/
#define TFM_PARTITION_TFM_SP_INITIAL_ATTESTATION_IRQ_COUNT 0
PARTITION_DECLARE(TFM_SP_INITIAL_ATTESTATION,
    SPM_PART_FLAG_IPC,
    "PSA-ROT",
    TFM_SP_INITIAL_ATTESTATION_ID,
    NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_INITIAL_ATTESTATION, attest_partition_init);

#ifdef TFM_PARTITION_TEST_CORE
/******** TFM_SP_CORE_TEST ********/
#define TFM_PARTITION_TFM_SP_CORE_TEST_IRQ_COUNT 0
PARTITION_DECLARE(TFM_SP_CORE_TEST,
    SPM_PART_FLAG_IPC,
    "APPLICATION-ROT",
    TFM_SP_CORE_TEST_ID,
    NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_CORE_TEST, core_test_init);
PARTITION_ADD_PERIPHERAL(TFM_SP_CORE_TEST, TFM_PERIPHERAL_FPGA_IO);
#endif /* TFM_PARTITION_TEST_CORE */

#ifdef TFM_PARTITION_TEST_CORE
/******** TFM_SP_CORE_TEST_2 ********/
#define TFM_PARTITION_TFM_SP_CORE_TEST_2_IRQ_COUNT 0
PARTITION_DECLARE(TFM_SP_CORE_TEST_2,
    SPM_PART_FLAG_IPC,
    "APPLICATION-ROT",
    TFM_SP_CORE_TEST_2_ID,
    NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_CORE_TEST_2, core_test_2_init);
#endif /* TFM_PARTITION_TEST_CORE */

#ifdef TFM_PARTITION_TEST_SECURE_SERVICES
/******** TFM_SP_SECURE_TEST_PARTITION ********/
#define TFM_PARTITION_TFM_SP_SECURE_TEST_PARTITION_IRQ_COUNT 0
PARTITION_DECLARE(TFM_SP_SECURE_TEST_PARTITION,
    SPM_PART_FLAG_IPC,
    "PSA-ROT",
    TFM_SP_SECURE_TEST_PARTITION_ID,
    NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_SECURE_TEST_PARTITION, tfm_secure_client_service_init);
PARTITION_ADD_PERIPHERAL(TFM_SP_SECURE_TEST_PARTITION, TFM_PERIPHERAL_STD_UART);
#endif /* TFM_PARTITION_TEST_SECURE_SERVICES */

#ifdef TFM_PARTITION_TEST_CORE_IPC
/******** TFM_SP_IPC_SERVICE_TEST ********/
#define TFM_PARTITION_TFM_SP_IPC_SERVICE_TEST_IRQ_COUNT 0
PARTITION_DECLARE(TFM_SP_IPC_SERVICE_TEST,
    SPM_PART_FLAG_IPC,
    "PSA-ROT",
    TFM_SP_IPC_SERVICE_TEST_ID,
    HIGH);
PARTITION_ADD_INIT_FUNC(TFM_SP_IPC_SERVICE_TEST, ipc_service_test_main);
#endif /* TFM_PARTITION_TEST_CORE_IPC */

#ifdef TFM_PARTITION_TEST_CORE_IPC
/******** TFM_SP_IPC_CLIENT_TEST ********/
#define TFM_PARTITION_TFM_SP_IPC_CLIENT_TEST_IRQ_COUNT 0
PARTITION_DECLARE(TFM_SP_IPC_CLIENT_TEST,
    SPM_PART_FLAG_IPC,
    "APPLICATION-ROT",
    TFM_SP_IPC_CLIENT_TEST_ID,
    NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_IPC_CLIENT_TEST, ipc_client_test_main);
#endif /* TFM_PARTITION_TEST_CORE_IPC */

#ifdef TFM_PARTITION_TEST_CORE
/******** TFM_IRQ_TEST_1 ********/
#define TFM_PARTITION_TFM_IRQ_TEST_1_IRQ_COUNT 1
PARTITION_DECLARE(TFM_IRQ_TEST_1,
    SPM_PART_FLAG_IPC,
    "APPLICATION-ROT",
    TFM_IRQ_TEST_1_ID,
    NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_IRQ_TEST_1, tfm_irq_test_1_init);
PARTITION_ADD_PERIPHERAL(TFM_IRQ_TEST_1, TFM_PERIPHERAL_TIMER0);
#endif /* TFM_PARTITION_TEST_CORE */

#endif /* __TFM_PARTITION_LIST_INC__ */
